Package org.jcsp.net

# Class UIFactory

java.lang.Object
org.jcsp.net.UIFactory

public class UIFactory extends Object

This class is a Factory that construct a unique identify for this Node. There is only ever one Node per JVM.

This class can subclassed and the subclass can be set to be used in place of this class. See the documentation for the `Node` class.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`UIFactory()`

## Method Summary

Modifier and Type
Method
Description
`NodeUI`
`getUIForThisJVM()`
Returns a Serializable object that is a unique identifier for this Node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UIFactory

public UIFactory()

## Method Details

### getUIForThisJVM

public NodeUI getUIForThisJVM()

Returns a Serializable object that is a unique identifier for this Node. The object returned should support the `equals(Object)` and `hashCode()` methods of Object.

Returns:
  a Serializable unique identifier for this JVM